.\"	$NetBSD: intersil7170.4,v 1.11 2006/10/04 17:55:54 wiz Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Paul Kranenburg.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 1, 2006
.Dt INTERSIL7170 4
.Os
.Sh NAME
.Nm intersil7170
.Nd
.Tn Intersil ICM7170 time-of-day clock driver
.Sh SYNOPSIS
.In dev/ic/intersil7170reg.h
.In dev/ic/intersil7170var.h
.Cd "define intersil7170"
.Cd "file   dev/ic/intersil7170.c    intersil7170"
.Sh DESCRIPTION
The
.Nm
driver provides access to the
.Tn Intersil ICM7170
time-of-day clock chip.
Access methods to retrieve and set date and time
are provided through the
.Em TODR
interface defined in
.Xr todr 9 .
.Pp
To tie an instance of this device to the system, use the
.Fn intersil7170_attach
function and the
.Fa intersil7170_softc
structure defined as follows:
.Pp
.Ft "void"
.Fn intersil7170_attach "struct intersil7170_softc *"
.Pp
.Bd -literal
struct intersil7170_softc {
	struct device	sc_dev;
	bus_space_tag_t	sc_bst;
	bus_space_handle_t sc_bsh;
	struct todr_chip_handle sc_handle;
	u_int		sc_year0;
	u_int		sc_flag;
};
.Ed
.Pp
.Bl -tag -width Dv -offset indent
.It Fa bus_tag
.It Fa bus_handle
Specify bus space access to the chip's non-volatile memory
.Pq including the clock registers .
.It Fa sc_handle
TODR handle passed to the
.Fn todr_attach
function to register
.Xr todr 9
interface.
.It Fa sc_year0
The actual year represented by the clock's
.Sq year
counter.
This is generally dependent on the system configuration in which
the clock device is mounted.
For instance, on Sun Microsystems machines
the convention is to have clock's two-digit year represent the year 1968.
.It Fa sc_flag
This flag is used to specify machine-dependent features.
.El
.Pp
Note that if the resulting date retrieved with the todr_gettime() method
is earlier that January 1, 1970, the driver will assume that the chip's
year counter actually represents a year in the 21st century.
This behaviour can be overridden by setting the
.Va INTERSIL7170_NO_CENT_ADJUST
flag in
.Fa sc_flag .
.Sh SEE ALSO
.Xr intro 4 ,
.Xr todr 9
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Paul Kranenburg
.Aq pk@NetBSD.org .
